Bug 1468396 - Routes stop working after new deployment
Routes stop working after new deployment
Status: CLOSED NOTABUG
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing (Show other bugs)
3.4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.4.z
Assigned To: Rajat Chopra
zhaozhanqi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 20:06 EDT by Josh Foots
Modified: 2017-07-20 19:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-20 19:42:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Foots 2017-07-06 20:06:07 EDT
Description of problem:

Deployment is started with the following commands
oc project <project>
oc start-build <build> -n <name>

After the build is complete a new deployment starts, once the deployment finishes I can no longer access the route until I restart Docker on the master node.


Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1. Follow the above steps 
2. Try to access the route before restarting Docker
3.

Actual results:

Can not access routes


Expected results:

For routes to be accessible

Additional info:
Comment 4 Rajat Chopra 2017-07-07 15:44:25 EDT
Please get logs from the router pod. Use command 'oc logs..'!
It may be required to run the router with more verbosity on logs. See this article to re-deploy the router with say --loglevel=5:
https://access.redhat.com/solutions/2801701
Comment 5 Ben Bennett 2017-07-11 10:38:58 EDT
I suspect this is solved by the second fix in https://bugzilla.redhat.com/show_bug.cgi?id=1464567

Can they try updating to the latest 3.4 errata (or just update to the latest 3.4 router image) and re-test please.

If that does not fix it, then we would need the logs at the elevated loglevel as @rchopra requested.
Comment 6 Josh Foots 2017-07-20 19:42:05 EDT
Ben, That resolved the issue. I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.